systemd-fstab-generator

Index · Directives · Python · libudev · gudev systemd 220

## Name

systemd-fstab-generator — Unit generator for /etc/fstab

## Synopsis

`/usr/lib/systemd/system-generators/systemd-fstab-generator`

## Description

`systemd-fstab-generator` is a generator that translates `/etc/fstab` (see fstab(5) for details) into native systemd units early at boot and when configuration of the system manager is reloaded. This will instantiate mount and swap units as necessary.

The `passno` field is treated like a simple boolean, and the ordering information is discarded. However, if the root file system is checked, it is checked before all the other file systems.

See systemd.mount(5) and systemd.swap(5) for more information about special `/etc/fstab` mount options this generator understands.

`systemd-fstab-generator` implements systemd.generator(7).

## Kernel Command Line

`systemd-fstab-generator` understands the following kernel command line parameters:

`fstab=`, `rd.fstab=`

  Takes a boolean argument. Defaults to "`yes`". If "`no`", causes the generator to ignore any mounts or swaps configured in `/etc/fstab`. `rd.fstab=` is honored only by initial RAM disk (initrd) while `fstab=` is honored by both the main system and the initrd.

`root=`

  Takes the root filesystem to mount in the initrd. `root=` is honored by the initrd.

`rootfstype=`

  Takes the root filesystem type that will be passed to the mount command. `rootfstype=` is honored by the initrd.

`rootflags=`

  Takes the root filesystem mount options to use. `rootflags=` is honored by the initrd.

`mount.usr=`

  Takes the `/usr` filesystem to be mounted by the initrd. If `mount.usrfstype=` or `mount.usrflags=` is set, then `mount.usr=` will default to the value set in `root=`.

  Otherwise this parameter defaults to the `/usr` entry found in `/etc/fstab` on the root filesystem.

  `mount.usr=` is honored by the initrd.

`mount.usrfstype=`

  Takes the `/usr` filesystem type that will be passed to the mount command. If `mount.usr=` or `mount.usrflags=` is set, then `mount.usrfstype=` will default to the value set in `rootfstype=`.

  Otherwise this value will be read from the `/usr` entry in `/etc/fstab` on the root filesystem.

  `mount.usrfstype=` is honored by the initrd.

`mount.usrflags=`

  Takes the `/usr` filesystem mount options to use. If `mount.usr=` or `mount.usrfstype=` is set, then `mount.usrflags=` will default to the value set in `rootflags=`.

  Otherwise this value will be read from the `/usr` entry in `/etc/fstab` on the root filesystem.

  `mount.usrflags=` is honored by the initrd.

## See Also

systemd(1), fstab(5), systemd.mount(5), systemd.swap(5), systemd-cryptsetup-generator(8)